HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPaymentMethodsPaymentMethod

Contains the different functions to run the operation getPaymentMethodsPaymentMethod

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetPaymentMethodsPaymentMethod.hs
valuegetPaymentMethodsPaymentMethod
  1. :: MonadHTTP m
  2. => GetPaymentMethodsPaymentMethodParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPaymentMethodsPaymentMethodResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/payment_methods/{payment_method}

<p>Retrieves a PaymentMethod object attached to the StripeAccount. To retrieve a payment method attached to a Customer, you should use <a href="/docs/api/payment_methods/customer">Retrieve a Customer’s PaymentMethods</a></p>

Defines the object schema located at paths./v1/payment_methods/{payment_method}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getPaymentMethodsPaymentMethod.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPaymentMethodsPaymentMethodResponseError is used.

Constructors

Instances2Eq, Show